﻿using Syncfusion.DocIO.DLS;

namespace Vinno.vCloud.ReportGenerator
{
    public static class EntityHelper
    {
        public static bool IsInHeader(this IEntity entity)
        {
            while (true)
                switch (entity.Owner)
                {
                    case null:
                        return false;
                    case HeaderFooter _:
                        return true;
                    default:
                        entity = entity.Owner;
                        continue;
                }
        }
    }
}