﻿using Vinno.vCloud.Report.Models;

namespace Vinno.vCloud.Report.Interfaces
{
    /// <summary>
    /// The line element.
    /// </summary>
    public interface ILine : IShape
    {
        /// <summary>
        /// Gets or sets the line width.Unit is pt.
        /// </summary>
        double Width { get; set; }

        /// <summary>
        /// Gets or sets the dash style.
        /// </summary>
        RTBorderStyle BorderStyle { get; set; }
    }
}