﻿using System.Collections.Generic;
using Vinno.vCloud.Report.Models;

namespace Vinno.vCloud.Report.Interfaces
{
    public interface IReportPreviewImagesGenerater
    {
        IEnumerable<ImageInfo> GenerateReportPreviewImages(ReportInfo reportInfo);
        byte[] ConvertReportToPdf(ReportInfo reportInfo);

        /// <summary>
        /// 转换为image
        /// </summary>
        /// <param name="reportInfo"></param>
        /// <param name="pdfSavePath"></param>
        IEnumerable<ImageInfo> ConvertPDFReportToImage(string pdfPath);
    }
}
