﻿namespace Vinno.vCloud.Report.Interfaces
{
    /// <summary>
    /// The shape element.
    /// </summary>
    public interface IShape : IInLineElemnt
    {
        /// <summary>
        /// Gets or sets the stroke.
        /// </summary>
        RTColor Stroke { get; set; }

        /// <summary>
        /// Gets or sets the thickness.Unit is pt.
        /// </summary>
        double Thickness { get; set; }
    }
}