﻿using System.Collections.Generic;

namespace Vinno.vCloud.Report.Interfaces
{
    /// <summary>
    /// The single selected element, use combobox to show.
    /// </summary>
    public interface ISingleSelected : ITextElement, IInputElement
    {
        SelectorDisplayStyle DisplayStyle { get; set; }

        /// <summary>
        /// Gets the data items source.
        /// </summary>
        List<string> Items { get; set; }

    }
}