﻿using System.Runtime.Serialization;

namespace Vinno.vCloud.Report.Interfaces
{
    /// <summary>
    /// The enum of horizaontal alignment.
    /// </summary>
    [DataContract(Namespace = "")]
    public enum HorizontalLayout
    {
        [EnumMember]
        Left,
        [EnumMember]
        Center,
        [EnumMember]
        Right,
        [EnumMember]
        Stretch
    }

    /// <summary>
    /// The enum of vertical alignment.
    /// </summary>
    [DataContract(Namespace = "")]
    public enum VerticalLayout
    {
        [EnumMember]
        Top,
        [EnumMember]
        Center,
        [EnumMember]
        Bottom,
        [EnumMember]
        Stretch
    }
}
