﻿using System;
using System.Runtime.Serialization;
using Newtonsoft.Json;
using Vinno.vCloud.Report.Interfaces;

namespace Vinno.vCloud.Report.Models
{
    /// <summary>
    /// The inline element class.
    /// </summary>
    [JsonObject]
    [DataContract(IsReference = true, Namespace = "")]
    [Serializable]
    public abstract class InlineElement:Element, IInLineElemnt
    {
        /// <summary>
        /// Initialize a <see cref="InlineElement"/>
        /// </summary>
        /// <param name="parent">The element parent.</param>
        protected InlineElement(IElement parent) : base(parent)
        {
        }
    }
}