﻿namespace Vinno.vCloud.Report.Interfaces
{
    /// <summary>
    /// The date time element.
    /// </summary>
    public interface IDateTimeElement: ITextElement, IInputElement
    {
        /// <summary>
        /// Gets or sets the date time format.
        /// </summary>
        string DateTimeFormat { get; set; }

        /// <summary>
        /// Gets or sets the value to indicate whether the element is current time.
        /// </summary>
        bool IsRealTime { get; set; }

        bool ShowEnabled { get; set; }
    }
}