﻿using Vinno.vCloud.Report.Models;

namespace Vinno.vCloud.Report.Interfaces
{
    /// <summary>
    /// The input element that is used for user operation
    /// </summary>
    public interface IInputElement : IElement
    {
        /// <summary>
        /// Ges or sets the value to indicate whether the elment is readonly or not.
        /// </summary>
        bool IsReadOnly { get; set; }

        /// <summary>
        /// Gets default value. Different element has different element value.
        /// </summary>
        /// <returns></returns>
        IElementValue GetDefaultValue();
    }
}